Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERSet

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.DERObject
                  |
                  +--org.bouncycastle.asn1.ASN1Set
                        |
                        +--org.bouncycastle.asn1.DERSet

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERSet

public class DERSet
extends ASN1Set

A DER encoded set object

Fields inherited from class org.bouncycastle.asn1.ASN1Set
`set`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERSet()` create an empty set
`DERSet(ASN1Encodable[] a)` create a set from an array of objects.
`DERSet(DEREncodable obj)`
`DERSet(DEREncodableVector v)`

Methods inherited from class org.bouncycastle.asn1.ASN1Set
`addObject, equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size, sort`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERSet

    public DERSet()

  create an empty set

### DERSet

    public DERSet(DEREncodable obj)

  Parameters:
    `obj` - - a single object that makes up the set.

### DERSet

    public DERSet(DEREncodableVector v)

  Parameters:
    `v` - - a vector of objects making up the set.

### DERSet

    public DERSet(ASN1Encodable[] a)

  create a set from an array of objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD